Self Review Prevention
Prevent users from being assigned as reviewers for rows that relate to their own access and permissions.
Parameters
Examples
{
"value": "SELF_REVIEWER_CHECKING_DISABLED"
}{
"value": 1
}Get Self Review Settings
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
workflow_idstringOptionalExample:
Optional. If provided, returns the setting for this specific review configuration. If not provided or no configuration-specific setting exists, returns the global setting.
8ae1c414-3a76-46cb-950a-925316b3f264Header parameters
AcceptstringOptionalExample:
application/jsonResponses
200
OK
application/json
objectOptional
get
/api/private/workflows/access/global_settings/self_reviewer_settings200
OK
Set Self Review Settings
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
Content-TypestringOptionalExample:
application/jsonAcceptstringOptionalExample:
application/jsonBody
valueone ofOptional
integer · enumOptionalPossible values:
1 = SELF_REVIEWER_CHECKING_DISABLED, 2 = SELF_REVIEWER_CHECKING_ENABLED
string · enumOptionalPossible values:
String values for self-review prevention settings
workflow_idstringOptional
Optional. If provided, sets the setting for this specific review configuration only. If omitted, sets the global setting.
Responses
200
OK
application/json
objectOptional
put
/api/private/workflows/access/global_settings/self_reviewer_settings200
OK
Last updated
Was this helpful?
